> ## Documentation Index
> Fetch the complete documentation index at: https://developers-partners.delivered.co.kr/llms.txt
> Use this file to discover all available pages before exploring further.

# 주문 유효성 검사

> 주문 유효성 검사를 통해 주문 등록 가능 여부를 확인합니다.



## OpenAPI

````yaml /api-reference/global-ship-api.json POST /open-api/v1/orders/validators
openapi: 3.0.1
info:
  title: Global Ship Open API
  description: '-'
  version: 1.0.0
servers:
  - url: https://gw-staging.delivered.co.kr/global-ship
    description: 테스트 환경
  - url: https://auth.delivered.co.kr/global-ship
    description: 운영 환경
security:
  - accessToken: []
  - Authorization: []
tags:
  - name: 주문
    description: 주문
paths:
  /open-api/v1/orders/validators:
    post:
      tags:
        - 주문
      summary: 주문 유효성 검사
      description: 주문 유효성 검사를 통해 주문 등록 가능 여부를 확인합니다.
      operationId: validatorBulkOrder
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/OpenApiOrderRequest'
        required: true
      responses:
        '200':
          description: OK
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/BulkOrderValidatorV2Response'
components:
  schemas:
    OpenApiOrderRequest:
      required:
        - data
      type: object
      properties:
        data:
          maxItems: 2147483647
          minItems: 1
          type: array
          description: 주문 정보 리스트
          items:
            $ref: '#/components/schemas/OpenApiOrder'
    BulkOrderValidatorV2Response:
      required:
        - failureCount
        - failures
        - isSuccess
        - requestCount
        - successCount
      type: object
      properties:
        isSuccess:
          type: boolean
          description: 성공 유무
          example: false
        requestCount:
          type: integer
          description: 요청 개수
          format: int32
          example: 2
        successCount:
          type: integer
          description: 성공 개수
          format: int32
          example: 1
        failureCount:
          type: integer
          description: 실패 개수
          format: int32
          example: 1
        failures:
          type: array
          description: 실패 사유
          items:
            $ref: '#/components/schemas/BulkOrderFailuresV2'
    OpenApiOrder:
      required:
        - items
        - orderInfo
        - packageInfo
        - recipient
        - sender
        - warehouseId
      type: object
      properties:
        warehouseId:
          type: integer
          description: 입고지 ID
          format: int64
          example: 1
        sender:
          $ref: '#/components/schemas/OrderSenderRequestVo'
        recipient:
          $ref: '#/components/schemas/OpenApiOrderRecipient'
        orderInfo:
          $ref: '#/components/schemas/OpenApiOrderInfo'
        packageInfo:
          $ref: '#/components/schemas/OrderPackageRequestVo'
        items:
          maxItems: 2147483647
          minItems: 1
          type: array
          description: 상품 정보
          items:
            $ref: '#/components/schemas/OrderItemRequestVo'
      description: 주문 정보 리스트
    BulkOrderFailuresV2:
      required:
        - failures
        - mallOrderNumber
        - rowIndex
      type: object
      properties:
        mallOrderNumber:
          type: string
          description: 주문번호
          example: ORD202501010001
        rowIndex:
          type: integer
          description: 리스트 내에서 실패한 주문 항목의 순서 (0부터 시작)
          format: int32
          example: 1
        failures:
          type: array
          description: 실패 사유
          items:
            $ref: '#/components/schemas/BulkOrderFailuresContent'
      description: 실패 사유
    OrderSenderRequestVo:
      required:
        - contact
        - name
      type: object
      properties:
        name:
          maxLength: 50
          minLength: 0
          type: string
          description: 이름
          example: 홍길동
        contact:
          maxLength: 50
          minLength: 0
          type: string
          description: 연락처
          example: '01012345678'
      description: 보내는 분 정보
    OpenApiOrderRecipient:
      required:
        - address
        - addressDetail
        - city
        - contact
        - country
        - name
        - state
        - zipCode
      type: object
      properties:
        country:
          type: string
          description: 받는분 국가
          example: US
          enum:
            - GH
            - GA
            - GY
            - GM
            - GT
            - GD
            - GR
            - GN
            - GW
            - NA
            - NR
            - NG
            - SS
            - ZA
            - NL
            - NP
            - 'NO'
            - NZ
            - NU
            - NE
            - NI
            - DK
            - DO
            - DM
            - DE
            - TL
            - LA
            - LR
            - LV
            - RU
            - LB
            - LS
            - RO
            - LU
            - RW
            - LY
            - LT
            - LI
            - MG
            - MH
            - FM
            - MW
            - MY
            - ML
            - MX
            - MC
            - MA
            - MU
            - MR
            - MZ
            - ME
            - MD
            - MV
            - MT
            - MN
            - US
            - MM
            - VU
            - BH
            - BB
            - VA
            - BS
            - BD
            - BJ
            - VE
            - VN
            - BE
            - BY
            - BZ
            - BA
            - BW
            - BO
            - BI
            - BF
            - BT
            - MK
            - BG
            - BR
            - BN
            - WS
            - SA
            - CY
            - SM
            - ST
            - SN
            - RS
            - SC
            - LC
            - VC
            - KN
            - SO
            - SB
            - SD
            - SR
            - LK
            - SE
            - CH
            - ES
            - SK
            - SI
            - SY
            - SL
            - SG
            - AE
            - AM
            - AR
            - IS
            - HT
            - IE
            - AZ
            - AF
            - AD
            - AL
            - DZ
            - AO
            - AG
            - ER
            - SZ
            - EE
            - EC
            - ET
            - SV
            - GB
            - YE
            - OM
            - AT
            - HN
            - JO
            - UG
            - UY
            - UZ
            - UA
            - IQ
            - IR
            - IL
            - EG
            - IT
            - IN
            - ID
            - JP
            - JM
            - ZM
            - GQ
            - GE
            - CN
            - CF
            - DJ
            - ZW
            - TD
            - CZ
            - CL
            - CM
            - CV
            - KZ
            - QA
            - KH
            - CA
            - KE
            - KM
            - XK
            - CR
            - CI
            - CO
            - CG
            - CD
            - CU
            - KW
            - CK
            - HR
            - KG
            - KI
            - TJ
            - TZ
            - TH
            - TR
            - TG
            - TO
            - TM
            - TV
            - TN
            - TT
            - PA
            - PY
            - PK
            - PG
            - PW
            - PS
            - PE
            - PT
            - PL
            - FR
            - FJ
            - FI
            - PH
            - HU
            - AU
            - TW
            - GG
            - JE
            - GI
            - KV
            - AS
            - AI
            - AW
            - BM
            - KY
            - FK
            - FO
            - GF
            - GL
            - GP
            - GU
            - KP
            - MP
            - MQ
            - YT
            - MS
            - NC
            - PR
            - RE
            - SH
            - PF
            - VG
            - VI
            - HK
            - MO
            - TC
            - NF
            - BQ
            - CW
            - WF
            - MF
            - BL
            - SX
            - KR
        name:
          maxLength: 50
          minLength: 0
          type: string
          description: 이름
          example: test kim
        contact:
          maxLength: 50
          minLength: 0
          type: string
          description: 연락처
          example: '1235551234'
        email:
          maxLength: 100
          minLength: 0
          type: string
          description: 이메일
          example: test@domain.co.kr
        address:
          maxLength: 300
          minLength: 0
          type: string
          description: 주소
          example: Centum jungang-ro, Haeundae-gu
        addressDetail:
          maxLength: 300
          minLength: 0
          type: string
          description: 상세 주소
          example: 20F, 90
        city:
          maxLength: 100
          minLength: 0
          type: string
          description: 도시
          example: Busan
        state:
          maxLength: 100
          minLength: 0
          type: string
          description: 주
          example: Busan
        zipCode:
          maxLength: 30
          minLength: 0
          type: string
          description: 우편번호
          example: '48059'
        personalCustomsClearanceCode:
          maxLength: 100
          minLength: 0
          type: string
          description: 개인통관고유부호
          example: '1234567890'
      description: 받는 분 정보
    OpenApiOrderInfo:
      required:
        - carrier
        - exportPurpose
        - incoterms
        - isExportDeclaration
        - mallOrderNumber
      type: object
      properties:
        mallOrderNumber:
          maxLength: 100
          minLength: 0
          type: string
          description: 쇼핑몰 주문 번호
          example: ORDER202501010001
        carrier:
          type: string
          description: 운송사
          example: FEDEX
          enum:
            - DHL
            - UPS
            - FEDEX
            - PARXL
            - YSL
            - ARAMEX
            - EMS
            - EMS_PREMIUM
            - KPACKET
            - ASAP
            - GTS
            - ALEM_TAT
            - EFS
            - NOMEX
            - H3
            - DELIVERED_STANDARD
            - LOTOS
            - VIETTEL
            - GENKA
            - YUN_EXPRESS
            - DELIVERED_EXPRESS
        incoterms:
          type: string
          description: incoterms
          enum:
            - DAP
            - DDP
        domesticShippingNumber:
          maxLength: 50
          minLength: 0
          type: string
          description: 국내택배 운송장 번호
          example: '65434235223'
        isExportDeclaration:
          type: boolean
          description: 수출신고 유무
          example: true
        exportPurpose:
          type: string
          description: 수출목적
          enum:
            - SAMPLE
            - COMMERCIAL
      description: 주문 정보
    OrderPackageRequestVo:
      required:
        - actualWeight
        - quantity
      type: object
      properties:
        width:
          type: number
          description: 가로(너비)
          example: 11.76
        length:
          type: number
          description: 세로(길이)
          example: 11.76
        height:
          type: number
          description: 높이
          example: 11.76
        actualWeight:
          type: number
          description: 실제 무게
          example: 3.26
        quantity:
          maximum: 2147483647
          type: integer
          description: 박스 개수
          format: int32
          example: 1
        serviceType:
          type: string
          description: 서비스 타입(러시아에서 사용)
          enum:
            - POD
      description: 화물 정보
    OrderItemRequestVo:
      required:
        - actualWeight
        - currency
        - name
        - price
        - quantity
      type: object
      properties:
        name:
          maxLength: 500
          minLength: 0
          type: string
          description: 상품명
          example: test item
        price:
          type: number
          description: 상품 가격
          example: 10000
        currency:
          type: string
          description: 통화
          example: KRW
          enum:
            - KRW
            - USD
            - JPY
            - RUB
            - EUR
        quantity:
          maximum: 2147483647
          type: integer
          description: 상품 개수
          format: int32
          example: 1
        actualWeight:
          type: number
          description: 실제 무게
          example: 3.22
        hscode:
          maxLength: 100
          minLength: 0
          type: string
          description: hscode
          example: '1234567890'
        itemUrl:
          maxLength: 3000
          minLength: 0
          type: string
          description: 상품 URL
          example: https://www.delivered.co.kr/en
        itemCode:
          maxLength: 50
          minLength: 0
          type: string
          description: 상품 코드
          example: '1234567890'
      description: 상품 정보
    BulkOrderFailuresContent:
      required:
        - errorField
        - errorMessage
      type: object
      properties:
        errorMessage:
          type: string
          description: 에러 메시지
          example: 입고지 ID가 존재하지 않습니다.
        errorField:
          type: string
          description: 실패 필드
          example: warehouseId
      description: 실패 사유
  securitySchemes:
    accessToken:
      type: http
      scheme: bearer
      bearerFormat: JWT
    Authorization:
      type: apiKey
      description: 발급받은 시크릿 키
      name: Authorization
      in: header

````